(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4503,        173]
NotebookOptionsPosition[      3449,        130]
NotebookOutlinePosition[      3951,        152]
CellTagsIndexPosition[      3867,        147]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"<<", "MB.m"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"MB 1.2\"\>"], "Print",
 CellChangeTimes->{3.439897080313143*^9}],

Cell[BoxData["\<\"by Michal Czakon\"\>"], "Print",
 CellChangeTimes->{3.439897080327683*^9}],

Cell[BoxData["\<\"improvements by Alexander Smirnov\"\>"], "Print",
 CellChangeTimes->{3.439897080336998*^9}],

Cell[BoxData["\<\"more info in hep-ph/0511200\"\>"], "Print",
 CellChangeTimes->{3.4398970803464193`*^9}],

Cell[BoxData["\<\"last modified 2 Jan 08\"\>"], "Print",
 CellChangeTimes->{3.43989708035605*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"<<", "MBasymptotics.m"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "MBasymptotics"}]], "Input"],

Cell[BoxData[
 StyleBox["\<\"MBasymptotics[integrals, {var, order}] expands a list\\nof \
integrals in variable var, around var = 0, up to the given order by \
closing\\ncontours and taking residues. The integrands may contain \
polynomials in var,\\nbut denominators which aren't products of Gamma \
functions are forbidden.\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.439897080657716*^9},
 CellTags->"Info3439900680-5621720"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"int", "=", 
  RowBox[{"{", 
   RowBox[{"MBint", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "^", "z"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"1", "+", "z"}], "]"}], 
      RowBox[{"Gamma", "[", 
       RowBox[{"-", "z"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", "\[Rule]", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "}"}]}], "]"}], 
   "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"MBint", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "z"], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", "z"}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "z"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", "\[Rule]", 
        RowBox[{"-", 
         FractionBox["1", "2"]}]}], "}"}]}], "}"}]}], "]"}], "}"}]], "Output",\

 CellChangeTimes->{3.439897080730093*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MBasymptotics", "[", 
   RowBox[{"int", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "4"}], "}"}]}], "]"}], "//", "MBmerge"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"MBint", "[", 
   RowBox[{
    RowBox[{"1", "-", "x", "+", 
     SuperscriptBox["x", "2"], "-", 
     SuperscriptBox["x", "3"], "+", 
     SuperscriptBox["x", "4"]}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}], "]"}], "}"}]], "Output",
 CellChangeTimes->{3.439897080770628*^9}]
}, Open  ]]
},
WindowSize->{592, 502},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"6.0 for Linux x86 (64-bit) (June 2, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3439900680-5621720"->{
  Cell[1330, 53, 442, 7, 100, "Print",
   CellTags->"Info3439900680-5621720"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3439900680-5621720", 3764, 141}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 48, 1, 28, "Input"],
Cell[CellGroupData[{
Cell[663, 28, 82, 1, 21, "Print"],
Cell[748, 31, 92, 1, 21, "Print"],
Cell[843, 34, 109, 1, 21, "Print"],
Cell[955, 37, 105, 1, 21, "Print"],
Cell[1063, 40, 97, 1, 21, "Print"]
}, Open  ]]
}, Open  ]],
Cell[1187, 45, 59, 1, 28, "Input"],
Cell[CellGroupData[{
Cell[1271, 50, 56, 1, 28, "Input"],
Cell[1330, 53, 442, 7, 100, "Print",
 CellTags->"Info3439900680-5621720"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1809, 65, 512, 18, 28, "Input"],
Cell[2324, 85, 517, 18, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2878, 108, 173, 5, 28, "Input"],
Cell[3054, 115, 379, 12, 34, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

